shibboleth-3.5.0

Public Member Functions | List of all members
shibsp::MatchFunctor Class Referenceabstract

A function that evaluates whether an expressed criteria is met by the current filter context. More...

`#include <shibsp/attribute/filtering/MatchFunctor.h>`

## Public Member Functions
virtual bool | evaluatePolicyRequirement (const FilteringContext &filterContext) const =0
| Evaluates this matching criteria. More...
virtual bool | evaluatePermitValue (const FilteringContext &filterContext, const Attribute &attribute, size_t index) const =0
| Evaluates this matching criteria. More...

## Detailed Description

A function that evaluates whether an expressed criteria is met by the current filter context.

## Member Function Documentation

## ◆ evaluatePermitValue()

virtual bool shibsp::MatchFunctor::evaluatePermitValue | ( | const FilteringContext & | filterContext,
|  | const Attribute & | attribute,
|  | size_t | index
| ) |  | const
| pure virtual

Evaluates this matching criteria.

This evaluation is used when a filtering engine is filtering attribute values.

Parameters

  filterContext | the current filtering context
  attribute | the attribute being evaluated
  index | the index of the attribute value being evaluated

Returns
  true if the criteria for this matching function are met

Exceptions

  AttributeFilteringException | thrown if the function can not be evaluated

## ◆ evaluatePolicyRequirement()

virtual bool shibsp::MatchFunctor::evaluatePolicyRequirement | ( | const FilteringContext & | filterContext | ) | const
| pure virtual

Evaluates this matching criteria.

This evaluation is used when a filtering engine determines policy applicability.

Parameters

  filterContext | current filtering context

Returns
  true if the criteria for this matching function are met

Exceptions

  AttributeFilteringException | thrown if the function can not be evaluated

The documentation for this class was generated from the following file:

- shibsp/attribute/filtering/MatchFunctor.h